#!/bin/bash -e

P_NAME="p5x-$(arch)"

cargo build --release
mkdir "$P_NAME"
cd "$P_NAME"

cp -r ../resources .
cp -r ../Rocket.toml .
cp -r ../start.sh .
cp -r ../target/release/p5x .

cd ..
zip -r "$P_NAME.zip" "$P_NAME"
rm -rf "$P_NAME"


